- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# QStringListModel Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qstringlistmodel.h.

`#include <qstringlistmodel.h>`

Inheritance diagram for QStringListModel:
[legend]

List of all members.

## Public Member Functions
| QStringListModel (QObject *parent=0)
| QStringListModel (const QStringList &strings, QObject *parent=0)
int | rowCount (const QModelIndex &parent=QModelIndex()) const
QVariant | data (const QModelIndex &index, int role) const
bool | setData (const QModelIndex &index, const QVariant &value, int role=Qt::EditRole)
Qt::ItemFlags | flags (const QModelIndex &index) const
bool | insertRows (int row, int count, const QModelIndex &parent=QModelIndex())
bool | removeRows (int row, int count, const QModelIndex &parent=QModelIndex())
void | sort (int column, Qt::SortOrder order=Qt::AscendingOrder)
QStringList | stringList () const
void | setStringList (const QStringList &strings)
Qt::DropActions | supportedDropActions () const

## Constructor & Destructor Documentation

QStringListModel | ( | QObject * | parent = `0` | ) | `[explicit]`

QStringListModel | ( | const QStringList & | strings,
|  | QObject * | parent = `0`
| ) |  |

## Member Function Documentation

int rowCount | ( | const QModelIndex & | parent = `QModelIndex()` | ) | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

QVariant data | ( | const QModelIndex & | index,
|  | int | role
| ) |  | const `[virtual]`

Search for all occurrences

Implements QAbstractItemModel.

bool setData | ( | const QModelIndex & | index,
|  | const QVariant & | value,
|  | int | role = `Qt::EditRole`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

Qt::ItemFlags flags | ( | const QModelIndex & | index | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool insertRows | ( | int | row,
|  | int | count,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

bool removeRows | ( | int | row,
|  | int | count,
|  | const QModelIndex & | parent = `QModelIndex()`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

void sort | ( | int | column,
|  | Qt::SortOrder | order = `Qt::AscendingOrder`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

QStringList stringList | ( |  | ) | const

Search for all occurrences

void setStringList | ( | const QStringList & | strings | ) |

Search for all occurrences

Qt::DropActions supportedDropActions | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractItemModel.

The documentation for this class was generated from the following file:

- QtGui/qstringlistmodel.h

QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel
QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel QStringListModel